ChangeSet 1.1757.66.10, 2004/07/14 14:46:38-07:00, mika@osdl.org

[PATCH] USB: Trivial fix to include/linux/usb.h

Hi Greg!

I am compiling allmodconfig with some extra gcc warnings enabled
(-W -Wno-unused -Wno-sign-compare -Winline -Wundef) and got this one:

  CC [M]  security/root_plug.o
In file included from security/root_plug.c:30:
include/linux/usb.h:358: warning: `inline' is not at beginning of declaration

Patch is trivial:


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 include/linux/usb.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/include/linux/usb.h b/include/linux/usb.h
--- a/include/linux/usb.h	2004-07-14 16:45:30 -07:00
+++ b/include/linux/usb.h	2004-07-14 16:45:30 -07:00
@@ -355,7 +355,7 @@
  * may need to explicitly claim that lock.
  *
  */
-static int inline usb_interface_claimed(struct usb_interface *iface) {
+static inline int usb_interface_claimed(struct usb_interface *iface) {
 	return (iface->dev.driver != NULL);
 }
 
